Imports Microsoft.VisualBasic
Imports System
Imports System.Web.UI.WebControls
Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Editors
Imports DevExpress.ExpressApp.Web.Editors
Imports DevExpress.ExpressApp.Model
Imports DevExpress.DashboardWeb

Public Class DashboardViewerPropertyEditor
    Inherits WebPropertyEditor

    'Private DashboardViewerUserControlCore As DashboardViewerUserControl = Nothing
    'Public ReadOnly Property DashboardViewerUserControl() As DashboardViewerUserControl
    '    Get
    '        Return DashboardViewerUserControlCore
    '    End Get
    'End Property

    Private _ASPxDashboardViewer As ASPxDashboardViewer

    ReadOnly Property ASPxDashboardViewer As ASPxDashboardViewer
        Get
            Return _ASPxDashboardViewer
        End Get
    End Property
    Public Sub New(ByVal objectType As Type, ByVal info As IModelMemberViewItem)
        MyBase.New(objectType, info)
    End Sub
    Protected Overrides Function CreateViewModeControlCore() As WebControl
        _ASPxDashboardViewer = New ASPxDashboardViewer
        Return _ASPxDashboardViewer
    End Function
    Protected Overrides Function CreateEditModeControlCore() As WebControl
        _ASPxDashboardViewer = New ASPxDashboardViewer
        Return _ASPxDashboardViewer
    End Function

    Protected Overrides Function GetControlValueCore() As Object
        Return _ASPxDashboardViewer
    End Function

    Protected Overrides Sub ReadEditModeValueCore()

    End Sub
End Class
